WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Data Tables warning

[Resolved] Data Tables warning

  • I just created a table and everything was going great. Then, after I used the #colspan# feature in row 2, I started seeing this message on the table’s page of the site:

    Data Tables warning (table id = ‘wp-table-roloaded-id-1-no-`’):
    Requested unknown parameter ‘1’ from the data source for row 0

    Any idea what to do? The table does load and looks fine on the page after displaying this error message.

    Edit:
    Removed site URL since it was a development site.

    Thanks.

    http://wordpress.org/extend/plugins/wp-table-reloaded/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author TobiasBg
    Participant

    @tobiasbg

    Hi Kim,

    just uncheck the “Use JavaScript library” checkbox on the table’s “Edit” screen. Due to internal limits, this library (which brings the sorting, filter, pagination features to a table) does not work in tables that use #colspan# or #rowspan#. As these features are not used in your table anyway, it is the best to turn of the usage of the library entirely in this case.

    Regards,
    Tobias

    Thank you so much! Worked like a charm.

    Thanks, too, for such a great plugin. I will be making a donation now. Really appreciate it.

    Plugin Author TobiasBg
    Participant

    @tobiasbg

    Hi Kim,

    great to hear that this fixed it! 🙂

    And thanks for the donation, I really appreciate it!

    Best wishes,
    Tobias

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] Data Tables warning’ is closed to new replies.